package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.Banner;

import java.util.List;

public interface BannerMapper {

    /**
     * 查询banner信息列表
     */
    List<Banner> selectByExample(Banner banner);

    /**
     * 根据id获取banner信息
     */
    Banner selectByPrimaryKey(Integer id);

    /**
     * 获取banner列表数量
     */
    long countByExample(Banner banner);

    /**
     * 录入banner信息
     */
    int insertSelective(Banner banner);

    /**
     * 更新banner信息
     */
    int updateByPrimaryKeySelective(Banner banner);

    /**
     * 删除banner信息
     */
    int deleteByPrimaryKey(Integer id);
}
